> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API public v1 live risk coins by coin



## OpenAPI

````yaml /api-reference/openapi.json get /api/public/v1/live/risk/coins/{coin}
openapi: 3.1.0
info:
  title: coinversa-api
  version: 0.1.0
servers:
  - url: https://api.coinversa.ai
    description: Production
security: []
paths:
  /api/public/v1/live/risk/coins/{coin}:
    get:
      summary: Get API public v1 live risk coins by coin
      operationId: get-api-public-v1-live-risk-coins-by-coin
      parameters:
        - in: path
          name: coin
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CoinRiskSnapshotBody'
          description: OK
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Bad Request
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Not Found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unprocessable Entity
        '429':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Too Many Requests
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    CoinRiskSnapshotBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/CoinRiskSnapshotBody.json
          format: uri
          readOnly: true
          type: string
        availability:
          $ref: '#/components/schemas/RiskAvailability'
        avgLiquidationDistancePct:
          format: double
          type: number
        coin:
          type: string
        concentrationTop5:
          format: double
          type: number
        freshness:
          $ref: '#/components/schemas/RiskFreshness'
        generatedAt:
          type: string
        liquidationHeatmap:
          $ref: '#/components/schemas/LiquidationHeatmapBody'
        liquidationSummary7d:
          $ref: '#/components/schemas/LiquidationSummaryBody'
        longShort:
          $ref: '#/components/schemas/CoinLongShortBody'
        market:
          $ref: '#/components/schemas/GetCoinStatsRow'
        nearLiquidationNotional:
          format: double
          type: number
        nearLiquidationPositions:
          format: int64
          type: integer
        recentLiquidations:
          items:
            $ref: '#/components/schemas/GetRecentLiquidationsRow'
          type:
            - array
            - 'null'
        sizeBreakdown:
          items:
            $ref: '#/components/schemas/GetPositionSizeBreakdownRow'
          type:
            - array
            - 'null'
        topPositions:
          items:
            $ref: '#/components/schemas/GetTopPositionsRow'
          type:
            - array
            - 'null'
      required:
        - coin
        - market
        - longShort
        - sizeBreakdown
        - topPositions
        - liquidationHeatmap
        - liquidationSummary7d
        - recentLiquidations
        - concentrationTop5
        - nearLiquidationNotional
        - nearLiquidationPositions
        - availability
        - freshness
        - generatedAt
      type: object
    APIError:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/APIError.json
          format: uri
          readOnly: true
          type: string
        code:
          description: Machine-readable error code
          type: string
        current_tier:
          description: Caller's effective tier
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        required_tier:
          description: Minimum tier for this operation
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
        upgrade_url:
          description: Where to upgrade
          type: string
      type: object
    RiskAvailability:
      additionalProperties: false
      properties:
        historicalClearinghouse:
          type: boolean
        liquidations:
          type: boolean
        liveCandles:
          type: boolean
        markPrices:
          type: boolean
        userActions:
          type: boolean
      required:
        - liquidations
        - userActions
        - historicalClearinghouse
        - liveCandles
        - markPrices
      type: object
    RiskFreshness:
      additionalProperties: false
      properties:
        historicalClearinghouse:
          type: string
        liquidations:
          type: string
        liveCandles:
          type: string
        livePositions:
          type: string
        longShort:
          type: string
        markPrices:
          type: string
      type: object
    LiquidationHeatmapBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/LiquidationHeatmapBody.json
          format: uri
          readOnly: true
          type: string
        buckets:
          items:
            $ref: '#/components/schemas/HeatmapBucket'
          type:
            - array
            - 'null'
        coin:
          type: string
        currentPrice:
          format: double
          type: number
        timestamp:
          format: int64
          type: integer
        totalLongAtRisk:
          format: double
          type: number
        totalShortAtRisk:
          format: double
          type: number
      required:
        - coin
        - currentPrice
        - buckets
        - totalLongAtRisk
        - totalShortAtRisk
        - timestamp
      type: object
    LiquidationSummaryBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/LiquidationSummaryBody.json
          format: uri
          readOnly: true
          type: string
        availability:
          $ref: '#/components/schemas/RiskAvailability'
        avgClosedPnl:
          format: double
          type: number
        avgPenaltyFee:
          format: double
          type: number
        bucketSizeMs:
          format: int64
          type: integer
        byCoin:
          items:
            $ref: '#/components/schemas/GetLiquidationSummaryByCoinRow'
          type:
            - array
            - 'null'
        coin:
          type: string
        count:
          format: int64
          type: integer
        freshness:
          $ref: '#/components/schemas/RiskFreshness'
        generatedAt:
          type: string
        since:
          type: string
        timeline:
          items:
            $ref: '#/components/schemas/GetLiquidationSummaryTimelineRow'
          type:
            - array
            - 'null'
        totalClosedPnl:
          format: double
          type: number
        totalPenaltyFees:
          format: double
          type: number
      required:
        - since
        - count
        - totalPenaltyFees
        - totalClosedPnl
        - avgPenaltyFee
        - avgClosedPnl
        - bucketSizeMs
        - byCoin
        - timeline
        - availability
        - freshness
        - generatedAt
      type: object
    CoinLongShortBody:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.coinversa.ai/schemas/CoinLongShortBody.json
          format: uri
          readOnly: true
          type: string
        avgLongLeverage:
          format: double
          type: number
        avgLongSize:
          format: double
          type: number
        avgShortLeverage:
          format: double
          type: number
        avgShortSize:
          format: double
          type: number
        coin:
          type: string
        concentrationTop5:
          format: double
          type: number
        longAccounts:
          format: int64
          type: integer
        longUnrealizedPnl:
          format: double
          type: number
        longVolume:
          format: double
          type: number
        maxLeverage:
          format: double
          type: number
        netBias:
          format: double
          type: number
        ratio:
          format: double
          type: number
        sampleSize:
          format: int64
          type: integer
        shortAccounts:
          format: int64
          type: integer
        shortUnrealizedPnl:
          format: double
          type: number
        shortVolume:
          format: double
          type: number
        timestamp:
          format: int64
          type: integer
        topLongs:
          items:
            $ref: '#/components/schemas/LSTopPosition'
          type:
            - array
            - 'null'
        topShorts:
          items:
            $ref: '#/components/schemas/LSTopPosition'
          type:
            - array
            - 'null'
        totalUnrealizedPnl:
          format: double
          type: number
        volumeRatio:
          format: double
          type: number
      required:
        - coin
        - longAccounts
        - shortAccounts
        - longVolume
        - shortVolume
        - ratio
        - volumeRatio
        - topLongs
        - topShorts
        - sampleSize
        - timestamp
        - avgLongSize
        - avgShortSize
        - totalUnrealizedPnl
        - longUnrealizedPnl
        - shortUnrealizedPnl
        - concentrationTop5
        - netBias
      type: object
    GetCoinStatsRow:
      additionalProperties: false
      properties:
        avgLongLeverage:
          format: double
          type: number
        avgShortLeverage:
          format: double
          type: number
        coin:
          type: string
        longNotional:
          format: double
          type: number
        longPositions:
          format: int64
          type: integer
        shortNotional:
          format: double
          type: number
        shortPositions:
          format: int64
          type: integer
        totalOi:
          format: double
          type: number
        totalPositions:
          format: int64
          type: integer
        totalUnrealizedPnl:
          format: double
          type: number
        uniqueWallets:
          format: int64
          type: integer
      required:
        - coin
        - totalPositions
        - uniqueWallets
        - longPositions
        - shortPositions
        - longNotional
        - shortNotional
        - totalUnrealizedPnl
        - avgLongLeverage
        - avgShortLeverage
        - totalOi
      type: object
    GetRecentLiquidationsRow:
      additionalProperties: false
      properties:
        address: {}
        closedPnl:
          format: double
          type:
            - number
            - 'null'
        coin:
          type: string
        liquidator: {}
        penaltyFee:
          format: double
          type:
            - number
            - 'null'
        pnlTier:
          type:
            - string
            - 'null'
        timestampMs:
          format: int64
          type: integer
      required:
        - address
        - coin
        - timestampMs
        - liquidator
        - penaltyFee
        - closedPnl
        - pnlTier
      type: object
    GetPositionSizeBreakdownRow:
      additionalProperties: false
      properties:
        longCount:
          format: int64
          type: integer
        longNotional:
          format: double
          type: number
        positionCount:
          format: int64
          type: integer
        shortCount:
          format: int64
          type: integer
        shortNotional:
          format: double
          type: number
        sizeBucket:
          type: string
        sortOrder:
          format: int32
          type: integer
        totalNotional:
          format: double
          type: number
      required:
        - sizeBucket
        - sortOrder
        - positionCount
        - longCount
        - shortCount
        - totalNotional
        - longNotional
        - shortNotional
      type: object
    GetTopPositionsRow:
      additionalProperties: false
      properties:
        address: {}
        coin:
          type: string
        entryPx:
          format: double
          type:
            - number
            - 'null'
        fundingSinceOpen:
          format: double
          type:
            - number
            - 'null'
        leverage:
          format: double
          type:
            - number
            - 'null'
        leverageType:
          type:
            - string
            - 'null'
        liquidationPx:
          format: double
          type:
            - number
            - 'null'
        marginUsed:
          format: double
          type:
            - number
            - 'null'
        markPx:
          format: double
          type:
            - number
            - 'null'
        notional:
          format: double
          type:
            - number
            - 'null'
        openedAtRaw:
          format: int64
          type:
            - integer
            - 'null'
        pOpenedAt:
          type:
            - string
            - 'null'
        pUpdatedAt:
          type:
            - string
            - 'null'
        pnlTier:
          type:
            - string
            - 'null'
        roe:
          format: double
          type:
            - number
            - 'null'
        side:
          type: string
        size:
          format: double
          type:
            - number
            - 'null'
        sizeTier:
          type:
            - string
            - 'null'
        traderTotalPnl:
          type: string
        traderTotalTrades:
          format: int64
          type:
            - integer
            - 'null'
        traderWinRate:
          format: double
          type:
            - number
            - 'null'
        unrealizedPnl:
          format: double
          type:
            - number
            - 'null'
      required:
        - address
        - coin
        - size
        - side
        - entryPx
        - markPx
        - leverage
        - leverageType
        - liquidationPx
        - unrealizedPnl
        - marginUsed
        - roe
        - fundingSinceOpen
        - notional
        - pUpdatedAt
        - pOpenedAt
        - openedAtRaw
        - pnlTier
        - sizeTier
        - traderTotalPnl
        - traderWinRate
        - traderTotalTrades
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
    HeatmapBucket:
      additionalProperties: false
      properties:
        cumulativeLongNotional:
          format: double
          type: number
        cumulativeShortNotional:
          format: double
          type: number
        longNotionalAtRisk:
          format: double
          type: number
        longPositions:
          format: int64
          type: integer
        priceHigh:
          format: double
          type: number
        priceLow:
          format: double
          type: number
        shortNotionalAtRisk:
          format: double
          type: number
        shortPositions:
          format: int64
          type: integer
        totalNotionalAtRisk:
          format: double
          type: number
      required:
        - priceLow
        - priceHigh
        - longPositions
        - shortPositions
        - longNotionalAtRisk
        - shortNotionalAtRisk
        - totalNotionalAtRisk
        - cumulativeLongNotional
        - cumulativeShortNotional
      type: object
    GetLiquidationSummaryByCoinRow:
      additionalProperties: false
      properties:
        coin:
          type: string
        count:
          format: int64
          type: integer
        totalClosedPnl: {}
        totalPenaltyFees: {}
      required:
        - coin
        - count
        - totalPenaltyFees
        - totalClosedPnl
      type: object
    GetLiquidationSummaryTimelineRow:
      additionalProperties: false
      properties:
        bucketStart:
          format: int64
          type: integer
        count:
          format: int64
          type: integer
        totalClosedPnl: {}
        totalPenaltyFees: {}
      required:
        - bucketStart
        - count
        - totalPenaltyFees
        - totalClosedPnl
      type: object
    LSTopPosition:
      additionalProperties: false
      properties:
        address:
          type: string
        notional:
          format: double
          type: number
        pnl:
          format: double
          type: number
        size:
          format: double
          type: number
      required:
        - address
        - size
        - notional
        - pnl
      type: object
  securitySchemes:
    apiKey:
      description: Get one at https://coinversa.ai/developers
      in: header
      name: X-API-Key
      type: apiKey

````